Subject: [ledbat] fairness between competing delay flows in draft-shalunov-ledbat-congestion-00.txt

From: Douglas Leith <[email-masked]>
Date: Wed, 01 Apr 2009 01:23:46 +0100

Can I ask what the expected/desired behaviour will be when two or  
more ledbat flows share a link ?

For example, say a first flow starts, ramps us cwnd until it hits the  
target queueing delay and then a second ledbat flow starts a while  
later.  Its not clear to me from the ID how the first flow would  
alter its cwnd to make space for the second ledbat flow (especially  
if the second flow does not use slow start, or perhaps has an early  
exit from slow start).

Also, is there a danger that, similarly the vegas and related  
algorithms, the later starting flow will have difficulty getting an  
accurate estimate of the base RTT since earlier starting flows  
maintain a standing queue ?

Doug

www.hamilton.ie